2019-03-22 07:09 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002247NetSurfGTK-specificpublic2015-03-10 23:42
ReporterAnthony J. Bentley 
Assigned ToVincent Sanders 
SeverityfeatureReproducibilityN/A 
StatusclosedResolutionfixed 
Product Version3.2 
Target Version3.3Fixed in Version3.3 
Summary0002247: Provide a manpage
DescriptionSimilar to 0002246: Debian provides a manpage, meaning other distributions either copy Debian's or provide none. Better to provide one upstream so things don't go out of sync.

Attached is a manpage. It's the Debian one, with typos fixed, and converted to use semantic troff macros.
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Vincent Sanders

~0000558

Vincent Sanders (administrator)

I have added man pages under Docs for both gtk and framebuffer frontends. Though they use the Linux default troff an.tmac macro package and not the BSD mdoc package.

If it would be useful to add the BSD mdoc version as well I can do so?
Anthony J. Bentley

~0000559

Anthony J. Bentley (reporter)

Last edited: 2014-12-25 15:42

View 2 revisions

I definitely would prefer a -mdoc manual over a -man manual.

The two most common troff implementations are currently groff and mandoc. Both of these support -mdoc out of the box. This accounts for at least Linux, OpenBSD, FreeBSD, NetBSD, Mac OS X, Illumos, and Minix, and possibly others.

The main advantage -mdoc macros provide over -man macros is semantic annotation. This is especially visible in mandoc (used by default on the BSDs, Illumos, and Minix), which provides semantic searching capabilities for manuals written in -mdoc. This is nice. (Ingo Schwarze gave a good talk on this, if you're interested: https://www.youtube.com/watch?v=oifYhwTaOuw) Groff doesn't provide these but it is no worse at -mdoc than it is at -man.

-mdoc manpages are also visually consistent with each other; this is nice too even though it's less important.

The above things are nice, and I can't think of any disadvantages to providing a -mdoc manual. (Are there any systems that NetSurf supports that typically use troff but without -mdoc support?)

Of course, you can provide both if you like...

Vincent Sanders

~0000561

Vincent Sanders (administrator)

Changed gtk manpage to mandoc format as it is more portable
Vincent Sanders

~0000747

Vincent Sanders (administrator)

Confirmed fixed in 3.3 release
+Notes

-Issue History
Date Modified Username Field Change
2014-12-16 12:03 Anthony J. Bentley New Issue
2014-12-16 12:03 Anthony J. Bentley File Added: netsurf-gtk.1
2014-12-25 15:23 Vincent Sanders Note Added: 0000558
2014-12-25 15:23 Vincent Sanders Assigned To => Vincent Sanders
2014-12-25 15:23 Vincent Sanders Status new => confirmed
2014-12-25 15:23 Vincent Sanders Resolution open => fixed
2014-12-25 15:23 Vincent Sanders Fixed in Version => 3.3
2014-12-25 15:42 Anthony J. Bentley Note Added: 0000559
2014-12-25 15:42 Anthony J. Bentley Note Edited: 0000559 View Revisions
2014-12-26 11:49 Vincent Sanders Note Added: 0000561
2014-12-26 11:49 Vincent Sanders Status confirmed => resolved
2015-01-16 09:04 Vincent Sanders Target Version => 3.3
2015-03-10 23:42 Vincent Sanders Note Added: 0000747
2015-03-10 23:42 Vincent Sanders Status resolved => closed
+Issue History